<?php
namespace Concrete\Package\Redirect;

use Concrete\Core\Block\BlockType\BlockType;
use Concrete\Core\Block\BlockType\Set as BlockTypeSet;
use Concrete\Core\Package\Package;

defined('C5_EXECUTE') or die('Access denied.');

class Controller extends Package
{
    /**
     * The package handle.
     *
     * @var string
     */
    protected $pkgHandle = 'redirect';

    /**
     * The package version.
     *
     * @var string
     */
    protected $pkgVersion = '2.0.1';

    /**
     * The minimum concrete5 version.
     *
     * @var string
     */
    protected $appVersionRequired = '8.2.0';

    /**
     * {@inheritdoc}
     *
     * @see Package::getPackageName()
     */
    public function getPackageName()
    {
        return t('Redirect');
    }

    /**
     * {@inheritdoc}
     *
     * @see Package::getPackageDescription()
     */
    public function getPackageDescription()
    {
        return t('This package offers a block to redirect users.');
    }

    /**
     * {@inheritdoc}
     *
     * @see Package::install()
     */
    public function install()
    {
        $pkg = parent::install();
        $bt = BlockType::getByHandle('redirect');
        if (!is_object($bt)) {
            $bt = BlockType::installBlockType('redirect', $pkg);
        }
        $bts = BlockTypeSet::getByHandle('navigation');
        if ($bts) {
            if (!$bts->contains($bt)) {
                $bts->addBlockType($bt);
            }
        }
    }
}
